Bug 1202546 - Enable template compliance check (UI part)
Summary: Enable template compliance check (UI part)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.3
Assignee: Dan Clarizio
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1156006 1268363 1282841
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 20:58 UTC by Bill Wei
Modified: 2015-12-16 19:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-16 19:04:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1156006 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 1156006

Description Bill Wei 2015-03-16 20:58:30 UTC
UI requirements to complete support for template compliance check (BZ #1156006)

1. Add new category: Control/Explore/Policies/Compliance Policies/Template Compliance Policies

Everything should work the same as Vm Compliance Policy. Such a policy can have scope, conditions, and actions.

When a condition is saved, the resulting should have Condition.towhat = MiqTemplate.

The resulting MiqPolicy should have towhat = MiqTemplate.

2. Allow to schedule a compliance check task under Configure/Configuration/Schedules
When adding a new Schedule, Action dropbox should have a new entry called Template Compliance Check.

When Template Compliance Check is selected, the Filter dropbox should have Template related selections, same as when Template Analysis is selected for Action.

When such a schedule is saved, MiqSchedule should have the following attributes
description => "compliance check"
sched_action => "---\n:method: check_compliance"
filter => --- !ruby/object:MiqExpression
          exp:
            "=":
            field: Vm-name
            value: GM Empty Template I
          context_type: 
towhat => MiqTemplate

Note when a saved schedule is loaded for edit and saved again, make sure the Schedule record is still valid, without changing of case or adding underscores.


Note You need to log in before you can comment on or make changes to this bug.